## qygmy-1.0b1.tar.gz

=== Makefile ===

LANGUAGES := pl
PY := $(wildcard qygmy/*.py qygmy/templates/*.py)
UI := $(wildcard qygmy/ui/*.ui)

PRO := qygmy.pro
UIPY := $(UI:.ui=.py)
TS := $(foreach lang,$(LANGUAGES),qygmy/translations/qygmy_$(lang).ts)
QM := $(TS:.ts=.qm)
PY := $(PY) $(UIPY)

UIC := pyside-uic -x
LUPDATE := pyside-lupdate
LRELEASE := lrelease -compress -silent -nounfinished
DCH := dch -D unstable -p --package qygmy

all: ui ts

ui: $(UIPY)

%.py: %.ui
	$(UIC) -o $@ $<

ts: $(QM)

%.qm: %.ts
	$(LRELEASE) $< -qm $@

$(TS): $(PY)
	echo SOURCES = $^ >$(PRO)
	echo TRANSLATIONS = $@ >>$(PRO)
	$(LUPDATE) $(PRO)
	sed 's/filename="qygmy\//filename="..\//g' <$@ >$@.tmp; mv -f $@.tmp $@
	-rm $(PRO)

dch:
	srcver=`./bin/qygmyrun --version | sed 's/\.dev/~dev/'` \
	dchver=`dpkg-parsechangelog --count 1 | grep '^Version: ' | sed 's/^Version:\s\+\([^-]\+\)-.*$$/\1/'` \
	sh -c 'if [ $$srcver != $$dchver ]; then $(DCH) -m -v $$srcver-1; else $(DCH) -m -i; fi'

dchcreate:
	-rm debian/changelog
	$(DCH) -M --create -v `./bin/qygmyrun --version | sed 's/\.dev/~dev/'`-1

dchrelease:
	srcver=`./bin/qygmyrun --version | sed 's/\.dev/~dev/'` \
	dchver=`dpkg-parsechangelog --count 1 | grep '^Version: ' | sed 's/^Version:\s\+\([^-]\+\)-.*$$/\1/'` \
	sh -c 'if [ $$srcver != $$dchver ]; then $(DCH) -m -v $$srcver-1; fi'

clean:
	-rm -rf $(PRO)
	-rm -rf qygmy/ui/[!_]*.py
	-rm -rf qygmy/translations/*.qm
	-rm -rf qygmy/gittimestamp.txt
	-rm -rf __pycache__/
	-rm -rf */__pycache__/
	-rm -rf */*/__pycache__/
	-rm -rf build/
	-rm -rf MANIFEST

.PHONY: all ui ts clean dch dchcreate dchrelease

=== debian/changelog ===
qygmy (1.0b1-1) unstable; urgency=low

  * Initial release.

 -- tsufeki <tsufeki@ymail.com>  Thu, 04 Jul 2013 10:58:36 +0200

=== debian/control ===
Source: qygmy
Maintainer: tsufeki <tsufeki@ymail.com>
Section: sound
Priority: optional
Build-Depends: python3, pyside-tools, qt4-linguist-tools, debhelper (>= 7.4.3)
X-Python3-Version: >= 3.3
Standards-Version: 3.9.4
Homepage: https://github.com/tsufeki/qygmy

Package: qygmy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pyside.qtcore (>= 1.1.2-4),
 python3-pyside.qtgui (>= 1.1.2-4), python3-mpd2
Provides: mpd-client
Suggests: mpd
Description: Simple MPD client.
 Simple MPD client written in Python and Qt/PySide.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_install:
	python3 setup.py install --root=debian/qygmy --install-layout=deb --install-lib=/usr/share/qygmy --install-scripts=/usr/share/qygmy

override_dh_auto_build:

override_dh_pysupport:
